Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class RequestProcessingPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.RequestProcessingPolicyHelper

public class RequestProcessingPolicyHelper
extends java.lang.Object

Helper class for : RequestProcessingPolicy

Author:
  OpenORB Compiler

Constructor Summary
`RequestProcessingPolicyHelper()`

Method Summary
`static RequestProcessingPolicy` | `extract(Any a)` Extract RequestProcessingPolicy from an any
`static java.lang.String` | `id()` Return the RequestProcessingPolicy IDL ID
`static void` | `insert(Any a, RequestProcessingPolicy t)` Insert RequestProcessingPolicy into an any
`static RequestProcessingPolicy` | `narrow(Object obj)` Narrow CORBA::Object to RequestProcessingPolicy
`static RequestProcessingPolicy` | `read(InputStream istream)` Read RequestProcessingPolicy from a marshalled stream
`static TypeCode` | `type()` Return the RequestProcessingPolicy TypeCode
`static RequestProcessingPolicy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to RequestProcessingPolicy
`static void` | `write(OutputStream ostream, RequestProcessingPolicy value)` Write RequestProcessingPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestProcessingPolicyHelper

    public RequestProcessingPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RequestProcessingPolicy t)

  Insert RequestProcessingPolicy into an any
  Parameters:
    `a` - an any
    `t` - RequestProcessingPolicy value

### extract

    public static RequestProcessingPolicy extract(Any a)

  Extract RequestProcessingPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RequestProcessingPolicy value

### type

    public static TypeCode type()

  Return the RequestProcessingPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RequestProcessingPolicy IDL ID
  Returns:
    an ID

### read

    public static RequestProcessingPolicy read(InputStream istream)

  Read RequestProcessingPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RequestProcessingPolicy value

### write

    public static void write(OutputStream ostream,
                             RequestProcessingPolicy value)

  Write RequestProcessingPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RequestProcessingPolicy value

### narrow

    public static RequestProcessingPolicy narrow(Object obj)

  Narrow CORBA::Object to RequestProcessingPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RequestProcessingPolicy Object

### unchecked_narrow

    public static RequestProcessingPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to RequestProcessingPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RequestProcessingPolicy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD